var index=0;
        // 上一张
        function prevImg(){
            index=index==0?$('.img-list li').length-1:index-1;
            console.log(index);
            showImg();
        }
        // 下一张
        function nextImg(){
            index=index==$('.img-list li').length-1? 0 : index+1;
            showImg();
        }
    //     // 1.自动切换图片
        var timer=setInterval(nextImg,1000);

        // 展示图片
        function showImg(){
            $('.img-list li').eq(index).addClass('current').siblings().removeClass('current')
            $('.indicator li').eq(index).addClass('active').siblings().removeClass('active');
            $('.text li').eq(index).addClass('show').siblings().removeClass('show');
        }
        
        $('.indicator li').each(function(){
            $(this).hover(function(){
                clearInterval(timer);
                index=$(this).index();
                showImg();
            },function(){
                timer=setInterval(nextImg,3000);
            })
        })


